Calls
Call History
Returns call history entries for the given lead. Lead must belong to the caller’s team.
GET
/
v1.0
/
communication
/
call
Call History
curl --request GET \
--url https://api.lofty.com/v1.0/communication/call \
--header 'Authorization: <authorization>'import requests
url = "https://api.lofty.com/v1.0/communication/call"
headers = {"Authorization": "<authorization>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<authorization>'}};
fetch('https://api.lofty.com/v1.0/communication/call', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.lofty.com/v1.0/communication/call",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: <authorization>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.lofty.com/v1.0/communication/call"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "<authorization>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.lofty.com/v1.0/communication/call")
.header("Authorization", "<authorization>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.lofty.com/v1.0/communication/call")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = '<authorization>'
response = http.request(request)
puts response.read_body{
"calls": [
{
"id": 563172647619608,
"dialerCallRecordId": 400000012345,
"userId": 100234,
"userPhoneNumber": "+14155550100",
"leadId": 100001,
"leadPhoneNumber": "+14155550199",
"direction": "Outbound",
"status": "Completed",
"startTime": "2026-04-22 10:15:00",
"endTime": "2026-04-22 10:18:45",
"duration": 225,
"callingOutcome": "Talked",
"rateScore": 4,
"recordingSwitch": true,
"showUserNumber": "+14155550100",
"createTime": "2026-04-22 10:15:00",
"updateTime": "2026-04-22 10:18:45",
"note": "Discussed pre-approval timeline.",
"isMachineAnswered": false,
"price": 0.02,
"agentId": 100234,
"elapsedTime": "00:08"
}
]
}"<string>""<string>""<string>"Headers
Bearer [access_token]
Query Parameters
ID of the lead whose call history to return.
Required range:
x >= 1Zero-based index of the first entry to return.
Required range:
x >= 0Number of entries per page.
Required range:
1 <= x <= 1000This parameter is used for page turning. When searching by ID is invoked, the interface would starts from this ID, and retrieve data sequentially. It is recommended to use this parameter as a replacement for offset to turn the page within the limit.
Response
Call history entries for the lead.
Wrapped response for GET /v1.0/communication/call. Call history entries are returned under the 'calls' key.
Call history entries.
Show child attributes
Show child attributes
⌘I
Call History
curl --request GET \
--url https://api.lofty.com/v1.0/communication/call \
--header 'Authorization: <authorization>'import requests
url = "https://api.lofty.com/v1.0/communication/call"
headers = {"Authorization": "<authorization>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<authorization>'}};
fetch('https://api.lofty.com/v1.0/communication/call', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.lofty.com/v1.0/communication/call",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: <authorization>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.lofty.com/v1.0/communication/call"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "<authorization>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.lofty.com/v1.0/communication/call")
.header("Authorization", "<authorization>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.lofty.com/v1.0/communication/call")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = '<authorization>'
response = http.request(request)
puts response.read_body{
"calls": [
{
"id": 563172647619608,
"dialerCallRecordId": 400000012345,
"userId": 100234,
"userPhoneNumber": "+14155550100",
"leadId": 100001,
"leadPhoneNumber": "+14155550199",
"direction": "Outbound",
"status": "Completed",
"startTime": "2026-04-22 10:15:00",
"endTime": "2026-04-22 10:18:45",
"duration": 225,
"callingOutcome": "Talked",
"rateScore": 4,
"recordingSwitch": true,
"showUserNumber": "+14155550100",
"createTime": "2026-04-22 10:15:00",
"updateTime": "2026-04-22 10:18:45",
"note": "Discussed pre-approval timeline.",
"isMachineAnswered": false,
"price": 0.02,
"agentId": 100234,
"elapsedTime": "00:08"
}
]
}"<string>""<string>""<string>"